unit Standart_animation;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ComCtrls;

type
  TFormViewAnim = class(TForm)
    RadioGroupSelectAnimEffects: TRadioGroup;
    bnStartView: TButton;
    bnStopView: TButton;
    grbAnimWin: TGroupBox;
    StandartAnimate: TAnimate;
    procedure FormCreate(Sender: TObject);
    procedure RadioGroupSelectAnimEffectsClick(Sender: TObject);
    procedure bnStartViewClick(Sender: TObject);
    procedure bnStopViewClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

// Массив параметов, которые может принимать свойство CommonAVI
const TypeofAVI: array[0..8] of TCommonAVI =
                 (aviNone, aviCopyFile, aviCopyFiles,
                  aviDeleteFile, aviEmptyRecycle, aviFindComputer,
                  aviFindFile, aviFindFolder, aviRecycleFile);

var
  FormViewAnim: TFormViewAnim;

implementation

{$R *.dfm}
// При создании формы устанавливаем начальное положение переключателя
procedure TFormViewAnim.FormCreate(Sender: TObject);
begin
RadioGroupSelectAnimEffects.ItemIndex := 1;
end;

// Выбор стандартной анимации
procedure TFormViewAnim.RadioGroupSelectAnimEffectsClick(Sender: TObject);
begin
// Устанавливаем доступность кнопок управления
bnStopView.Enabled := False;
bnStartView.Enabled := True;
// Устанавливаем значение свойству CommonAVI выбранного печеключателем
StandartAnimate.CommonAVI := TypeofAVI[RadioGroupSelectAnimEffects.ItemIndex];
// Если анимация не выбрана делаем недоступной кнопку старта показа
if RadioGroupSelectAnimEffects.ItemIndex = 0
   then bnStartView.Enabled := False
   else bnStopView.Enabled := True;
end;

// Старт показа
procedure TFormViewAnim.bnStartViewClick(Sender: TObject);
begin
// Начинаем показ выбранной нанимации
StandartAnimate.Play(1, StandartAnimate.FrameCount, 0);
bnStartView.Enabled := False;
bnStopView.Enabled := True;
end;

procedure TFormViewAnim.bnStopViewClick(Sender: TObject);
begin
// Остановка показа анимации
StandartAnimate.Stop;
bnStartView.Enabled := True;
bnStopView.Enabled := False;
end;

end.
